[Manage Versions page] compatibility with a specific app version

VERIFIED FIXED in 5.12.5

Status

addons.mozilla.org Graveyard
Developer Pages
VERIFIED FIXED
7 years ago
2 years ago

People

(Reporter: krupa, Assigned: andym)

Tracking

Details

(Whiteboard: [z], URL)

Attachments

(2 attachments)

(Reporter)

Description

7 years ago
Created attachment 491942 [details]
screenshot

Right now, users can specify a version compatibility range for add-on versions  @ https://addons.allizom.org/z/en-US/developers/addon/252558/versions/121278

However, compatibility with a specific app version is not supported.

STR:
1. Load https://addons.allizom.org/z/en-US/developers/addon/252558/versions/121278
2. Change firefox compatibility range to 4.0b7 - 4.0b7 and save changes

expected behavior:
Changes are saved since add-on versions can support a very specific app version

actual behavior:
"Invalid version range." error message is displayed
Assignee: nobody → amckay
Target Milestone: 5.12.4 → 5.12.5
(Assignee)

Comment 1

7 years ago
https://github.com/jbalogh/zamboni/commit/e388a163da64aa2da33502ea6e61d46578253800
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → FIXED
(Reporter)

Comment 2

7 years ago
STR:
1. Load https://addons.allizom.org/z/en-US/developers/addon/255394/versions/121791
2. Change compatibility range for Firefox to 3.5-3.5
3. Save changes

observed behavior:
Service unavailable error with 500 Internal Server errors

screencast: http://screencast.com/t/ZZ3X1Dlut
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
(Reporter)

Comment 3

7 years ago
The 500 errors resolved themselves. Now, add-on versions can support a very specific app version

verified @ add-on versions can support a very specific app version
Status: REOPENED → RESOLVED
Last Resolved: 7 years ago7 years ago
Resolution: --- → FIXED
(Reporter)

Comment 4

7 years ago
Created attachment 495549 [details]
post-fix screenshot
(Reporter)

Updated

7 years ago
Status: RESOLVED → VERIFIED
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.